logilab-common #62597 SyntaxError: invalid syntax for python2.4 [deprecated]

When update logilab-common on a machine with python2.4 I get

Compiling /var/lib/python-support/python2.4/logilab/common/urllib2ext.py ...
File "/var/lib/python-support/python2.4/logilab/common/urllib2ext.py", line 67
  finally:
        ^
SyntaxError: invalid syntax
prioritynormal
typebug
done in<not specified>
load0.000
load left0.000
closed by<not specified>